Subject: [Simple] simultaneous message transactions

From: "Ajay Chitturi" <[email-masked]>
Date: Mon, 11 Jun 2001 12:02:44 -0700

Hi,

Does the protocol allow for simultaneous message transactions within the
same call leg ? With UDP, the requests could be received out of order.
Even with TCP / TLS, a proxy server could reorder the requests (if the
requests are sent in quick succession). The receiver will reject a
message with a lower cseq value than the highest cseq it has seen for
the call leg. 

Having the sender serialize the message transactions is one solution but
it is inefficient. Another option would be to wait for a limited timeout
before we process a message request with a non-contiguous cseq. But in a
sceanrio where the proxy authenticates the requests, the cseqs
on the receiver side will always be non-contiguous. It would be good to
have a cseq that is guaranteed to be contiguous on the receiver side.

I was wondering what other implementations are doing on this issue.

Thanks
Ajay.